// ****************************************************************** 
function client_SetMonVoltStatusUpdate()
{
   serverMonVoltIntf.SetMonVoltStatusUpdate();
};

function client_SetRxBufferCenter( )
{
   serverMonVoltIntf.SetRxBufferCenter( );
}

function asyncUpdateMonitorRxOffsetFrequencyStatus(aRxOffsetFrequency)
{
   var anElement = Get_Iframe_Element('offsetFrequencyInput');
   if ( anElement )	                 
      anElement.value = aRxOffsetFrequency;
}

function asyncUpdateMonitorRxInputLevelStatus(aRxInputLevel)
{
   var anElement = Get_Iframe_Element('inputLevelInput');
   if ( anElement )	                 
      anElement.value = aRxInputLevel;
}

var rxEbno = 0.0;
var rxEbnoStatus = 0;
function formatRxEbnoStatus(aRxEbno, aRxEbnoStatus)
{
   if (aRxEbnoStatus == 1)
      str = FormatNumber(aRxEbno, 1);
   else if (aRxEbnoStatus == 2)
      str = "< " + FormatNumber(aRxEbno, 1);
   else if (aRxEbnoStatus == 4)
      str = "> " + FormatNumber(aRxEbno, 1);
   else
      str = "NO SYNC";
	return(str);
}

function asyncUpdateMonitorRxEbnoStatus(aRxEbno)
{
   var anElement = Get_Iframe_Element('ebNoInput');
   if ( anElement )
   {	      
      rxEbno = aRxEbno;        
      anElement.value = formatRxEbnoStatus(rxEbno, rxEbnoStatus)
   }
}

function asyncUpdateMonitorRxEbnoValidityStatus(aRxEbnoStatus)
{
   var anElement = Get_Iframe_Element('ebNoInput');
   if ( anElement )	                 
   {	      
      rxEbnoStatus = aRxEbnoStatus;        
      anElement.value = formatRxEbnoStatus(rxEbno, rxEbnoStatus)
   }
}

function asyncUpdateMonitorRxBufferFullStatus(aRxBufferFull)
{
   var anElement = Get_Iframe_Element('bufferFullInput');
   if ( anElement )	                 
      anElement.value = aRxBufferFull;
}

function asyncUpdateMonitorRxBitErrorsStatus(aRxBitErrors)
{
   var anElement = Get_Iframe_Element('BitErrorsInput');
   if ( anElement )	                 
      anElement.value = aRxBitErrors;
}

function asyncUpdateMonitorRawBerStatus(aRxRawBer)
{
   var anElement = Get_Iframe_Element('rawBerInput');
   if ( anElement )	                 
      anElement.value = aRxRawBer;
}

function asyncUpdateMonitorCorrectedBerStatus(aRxCorrectedBer)
{
   var anElement = Get_Iframe_Element('correctedBerInput');
   if ( anElement )	                 
      anElement.value = aRxCorrectedBer;
}

function asyncUpdateMonPlus15VoltTxSupplyStatus(aPlus15VoltTxSupply)
{
   var anElement = Get_Iframe_Element( 'Plus15VoltTxSupplyInput' ) ;
   if ( anElement )
      anElement.value = FormatNumber(aPlus15VoltTxSupply, 1);
}

function asyncUpdateMonPlus15VoltRxSupplyStatus(aPlus15VoltRxSupply)
{
   var anElement = Get_Iframe_Element( 'Plus15VoltRxSupplyInput' ) ;
   if ( anElement )	       // Set +1.5Volt Rx supply
      anElement.value = FormatNumber(aPlus15VoltRxSupply, 1);
}

function asyncUpdateMonPlus33VoltSupplyStatus(aPlus33VoltSupply)
{
   var anElement = Get_Iframe_Element( 'Plus33VoltSupplyInput' ) ;
   if ( anElement )	      // Set +3.3Volt supply
      anElement.value = FormatNumber(aPlus33VoltSupply, 1);
}

function asyncUpdateMonPlus50VoltSupplyStatus(aPlus50VoltSupply)
{
   var anElement = Get_Iframe_Element( 'Plus50VoltSupplyInput' ) ;
   if ( anElement )	        // Set +5Volt supply
      anElement.value = FormatNumber(aPlus50VoltSupply, 1);
}

function asyncUpdateMonPlus12VoltSupplyStatus(aPlus12VoltSupply)
{
   var anElement = Get_Iframe_Element( 'Plus12VoltSupplyInput' ) ;
   if ( anElement )	   
      anElement.value = FormatNumber(aPlus12VoltSupply, 1);
}

function asyncUpdateMonPlus20VoltSupplyStatus(aPlus20VoltSupply)
{
   var anElement = Get_Iframe_Element( 'Plus20VoltSupplyInput' ) ;
   if ( anElement )	      // Set +20Volt supply
      anElement.value = FormatNumber(aPlus20VoltSupply, 1);
}

function asyncUpdateMonMinus12VoltSupplyStatus(aMinus12VoltSupply)
{
   var anElement = Get_Iframe_Element( 'Minus12VoltSupplyInput' ) ;
   if ( anElement )	           // Set -12Volt supply
      anElement.value = FormatNumber(aMinus12VoltSupply, 1);
}

function asyncUpdateMonLnbCurrentStatus(aLnbCurrent)
{
   var anElement = Get_Iframe_Element( 'LnbCurrentInput' ) ;
   if ( anElement )	               // Set Lnb Current
      anElement.value = FormatNumber(aLnbCurrent, 2);
}

function asyncUpdateMonLnbVoltageStatus(aLnbVoltage)
{
   var anElement = Get_Iframe_Element( 'LnbVoltageInput' ) ;
   if ( anElement )	                 // Set Lnb Voltage
      anElement.value = FormatNumber(aLnbVoltage, 1);
}

function asyncUpdateMonBucCurrentStatus(aBucCurrent)
{
   var anElement = Get_Iframe_Element( 'BucCurrentInput' ) ;
   if ( anElement )	          // Set Buc Current
      anElement.value = FormatNumber(aBucCurrent, 2);
}

function asyncUpdateMonBucVoltageStatus(aBucVoltage)
{
   var anElement = Get_Iframe_Element( 'BucVoltageInput' ) ;
   if ( anElement )	              // Set Buc Voltage
      anElement.value = FormatNumber(aBucVoltage, 1);
}

function asyncUpdateMonBucOutputPowerStatus(aBucOutputPower)
{
   var anElement = Get_Iframe_Element( 'BucOutputPowerInput' ) ;
   if ( anElement )	              // Set Buc Output Power
      anElement.value = FormatNumber(aBucOutputPower, 1);
}

function asyncUpdateMonBucTemperatureStatus(aBucTemperature)
{
   var anElement = Get_Iframe_Element( 'BucTemperatureInput' ) ;
   if ( anElement )	              // Set Buc Temperature
      anElement.value = FormatNumber(aBucTemperature, 1);
}

function asyncUpdateMonBucSummaryValueStatus(aBucSummaryValue)
{
   var anElement = Get_Iframe_Element( 'BucSummaryValueInput' ) ;
   if ( anElement )	              // Set Buc Summary Value
      anElement.value = DecimalToHex( aBucSummaryValue, 2 );
}

