// ****************************************************************** 
//       * Functions triggered by events in client user interface
// ******************************************************************

function client_SetComTerrFpgaConfigAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Terrestrial FPGA Config Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmComIntf.SetComTerrFpgaConfigAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmComIntf.SetComTerrFpgaConfigAlarmMask(NO);
      }
   }
}

function client_SetComCodecFpgaConfigAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Codec FPGA Config Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmComIntf.SetComCodecFpgaConfigAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmComIntf.SetComCodecFpgaConfigAlarmMask(NO);
      }
   }
}

function client_SetComCodecDevConfigAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Codec Dev Config Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmComIntf.SetComCodecDevConfigAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmComIntf.SetComCodecDevConfigAlarmMask(NO);
      }
   }
}

function client_SetComExtClockActAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("External Clock Activity Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmComIntf.SetComExtClockActAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmComIntf.SetComExtClockActAlarmMask(NO);
      }
   }
}

function client_SetComExtRefActAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("External Reference Activity Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmComIntf.SetComExtRefActAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmComIntf.SetComExtRefActAlarmMask(NO);
      }
   }
}

function client_SetComExtRefLockAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("External Reference Lock Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmComIntf.SetComExtRefLockAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmComIntf.SetComExtRefLockAlarmMask(NO);
      }
   }
}

function client_SetComRxSupplyPlus1_5VAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Rx +1.5V Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmComIntf.SetComRxSupplyPlus1_5VAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmComIntf.SetComRxSupplyPlus1_5VAlarmMask(NO);
      }
   }
}

function client_SetComTxSupplyPlus1_5VAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("Tx 1.5V Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmComIntf.SetComTxSupplyPlus1_5VAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmComIntf.SetComTxSupplyPlus1_5VAlarmMask(NO);
      }
   }
}

function client_SetComSupplyPlus3_3VAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("+3.3V Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmComIntf.SetComSupplyPlus3_3VAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmComIntf.SetComSupplyPlus3_3VAlarmMask(NO);
      }
   }
}

function client_SetComSupplyPlus5_0VAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("+5.0V Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmComIntf.SetComSupplyPlus5_0VAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmComIntf.SetComSupplyPlus5_0VAlarmMask(NO);
      }
   }
}

function client_SetComSupplyPlus12_0VAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("+12.0V Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmComIntf.SetComSupplyPlus12_0VAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmComIntf.SetComSupplyPlus12_0VAlarmMask(NO);
      }
   }
}

function client_SetComSupplyMinus12_0VAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("-12.0V Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmComIntf.SetComSupplyMinus12_0VAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmComIntf.SetComSupplyMinus12_0VAlarmMask(NO);
      }
   }
}

function client_SetComSupplyPlus20_0VAlarmMask( anEvent )
{
   var aTarget = Get_Target( anEvent );
   if (aTarget)
   {
      if (IsChangeConfirmed("+20.0V Alarm Mask"))
      {
         if ( aTarget.value == "Y" )
            serverAlarmComIntf.SetComSupplyPlus20_0VAlarmMask(YES);
         else if ( aTarget.value == "N" )
            serverAlarmComIntf.SetComSupplyPlus20_0VAlarmMask(NO);
      }
   }
}

function client_SetComResetLatchedAlarms( )
{
  serverAlarmComIntf.SetComResetLatchedAlarms( );
}

function client_SetAlarmsComStatusUpdate()
{
   serverAlarmComIntf.SetAlarmsComStatusUpdate();
};

// ****************************************************************** 
function Update_ComTerrFpgaConfigCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComTerrFpgaConfigCurrentDarkLed', 'ComTerrFpgaConfigCurrentRedLed');
}

function Update_ComTerrFpgaConfigLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComTerrFpgaConfigLatchedDarkLed', 'ComTerrFpgaConfigLatchedRedLed');
}

// ****************************************************************** 
function asyncUpdateAlarmsComTerrFpgaConfigAlarm(aComTerrFpgaConfigCurrentAlarm, aComTerrFpgaConfigLatchedAlarm,
   aComTerrFpgaConfigAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aComTerrFpgaConfigAlarmMask )
      {
   	   if (aForm.ComTerrFpgaConfigAlarmMask)
   	     aForm.ComTerrFpgaConfigAlarmMask[MASK].checked = true;
      }
	   else if (aForm.ComTerrFpgaConfigAlarmMask)
  	     aForm.ComTerrFpgaConfigAlarmMask[UNMASK].checked = true;
   }
   Update_ComTerrFpgaConfigCurrentAlarm_Led(aComTerrFpgaConfigCurrentAlarm);
   Update_ComTerrFpgaConfigLatchedAlarm_Led(aComTerrFpgaConfigLatchedAlarm);
}

function Update_ComCodecFpgaConfigCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComCodecFpgaConfigCurrentDarkLed', 'ComCodecFpgaConfigCurrentRedLed');
}

function Update_ComCodecFpgaConfigLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComCodecFpgaConfigLatchedDarkLed', 'ComCodecFpgaConfigLatchedRedLed');
}

function asyncUpdateAlarmsComCodecFpgaConfigAlarm(aComCodecFpgaConfigCurrentAlarm, aComCodecFpgaConfigLatchedAlarm,
   aComCodecFpgaConfigAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aComCodecFpgaConfigAlarmMask )
      {
   	   if (aForm.ComCodecFpgaConfigAlarmMask)
   	     aForm.ComCodecFpgaConfigAlarmMask[MASK].checked = true;
	   }
	   else if (aForm.ComCodecFpgaConfigAlarmMask)
  	     aForm.ComCodecFpgaConfigAlarmMask[UNMASK].checked = true;
   }
   Update_ComCodecFpgaConfigCurrentAlarm_Led(aComCodecFpgaConfigCurrentAlarm);
   Update_ComCodecFpgaConfigLatchedAlarm_Led(aComCodecFpgaConfigLatchedAlarm);
}

function Update_ComCodecDevConfigCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComCodecDevConfigCurrentDarkLed', 'ComCodecDevConfigCurrentRedLed');
}

function Update_ComCodecDevConfigLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComCodecDevConfigLatchedDarkLed', 'ComCodecDevConfigLatchedRedLed');
}

function asyncUpdateAlarmsComCodecDevConfigAlarm(aComCodecDevConfigCurrentAlarm, aComCodecDevConfigLatchedAlarm,
   aComCodecDevConfigAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aComCodecDevConfigAlarmMask )
      {
   	   if (aForm.ComCodecDevConfigAlarmMask)
   	     aForm.ComCodecDevConfigAlarmMask[MASK].checked = true;
      }
	   else if (aForm.ComCodecDevConfigAlarmMask)
  	     aForm.ComCodecDevConfigAlarmMask[UNMASK].checked = true;
   }
   Update_ComCodecDevConfigCurrentAlarm_Led(aComCodecDevConfigCurrentAlarm);
   Update_ComCodecDevConfigLatchedAlarm_Led(aComCodecDevConfigLatchedAlarm);
}

function Update_ComExtClockActCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComExtClockActCurrentDarkLed', 'ComExtClockActCurrentYellowLed');
}

function Update_ComExtClockActLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComExtClockActLatchedDarkLed', 'ComExtClockActLatchedYellowLed');
}

function asyncUpdateAlarmsComExtClockActAlarm(aComExtClockActCurrentAlarm, aComExtClockActLatchedAlarm,
   aComExtClockActAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aComExtClockActAlarmMask )
   	{
   	   if (aForm.ComExtClockActAlarmMask)
   	     aForm.ComExtClockActAlarmMask[MASK].checked = true;
      }
	   else if (aForm.ComExtClockActAlarmMask)
  	     aForm.ComExtClockActAlarmMask[UNMASK].checked = true;
   }
   Update_ComExtClockActCurrentAlarm_Led(aComExtClockActCurrentAlarm);
   Update_ComExtClockActLatchedAlarm_Led(aComExtClockActLatchedAlarm);
}

function Update_ComExtRefActCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComExtRefActCurrentDarkLed', 'ComExtRefActCurrentYellowLed');
}

function Update_ComExtRefActLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComExtRefActLatchedDarkLed', 'ComExtRefActLatchedYellowLed');
}

function asyncUpdateAlarmsComExtRefActAlarm(aComExtRefActCurrentAlarm, aComExtRefActLatchedAlarm,
   aComExtRefActAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aComExtRefActAlarmMask )
      {
   	   if (aForm.ComExtRefActAlarmMask)
   	     aForm.ComExtRefActAlarmMask[MASK].checked = true;
      }
	   else if (aForm.ComExtRefActAlarmMask)
  	     aForm.ComExtRefActAlarmMask[UNMASK].checked = true;
   }
   Update_ComExtRefActCurrentAlarm_Led(aComExtRefActCurrentAlarm);
   Update_ComExtRefActLatchedAlarm_Led(aComExtRefActLatchedAlarm);
}

function Update_ComExtRefLockCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComExtRefLockCurrentDarkLed', 'ComExtRefLockCurrentYellowLed');
}

function Update_ComExtRefLockLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComExtRefLockLatchedDarkLed', 'ComExtRefLockLatchedYellowLed');
}

function asyncUpdateAlarmsComExtRefLockAlarm(aComExtRefLockCurrentAlarm, aComExtRefLockLatchedAlarm,
   aComExtRefLockAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aComExtRefLockAlarmMask )
      {
   	   if (aForm.ComExtRefLockAlarmMask)
   	     aForm.ComExtRefLockAlarmMask[MASK].checked = true;
      }
	   else if (aForm.ComExtRefLockAlarmMask)
  	     aForm.ComExtRefLockAlarmMask[UNMASK].checked = true;
   }
   Update_ComExtRefLockCurrentAlarm_Led(aComExtRefLockCurrentAlarm);
   Update_ComExtRefLockLatchedAlarm_Led(aComExtRefLockLatchedAlarm);
}

function Update_ComRxSupplyPlus1_5VCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComRxSupplyPlus1_5VCurrentDarkLed', 'ComRxSupplyPlus1_5VCurrentYellowLed');
}

function Update_ComRxSupplyPlus1_5VLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComRxSupplyPlus1_5VLatchedDarkLed', 'ComRxSupplyPlus1_5VLatchedYellowLed');
}

function asyncUpdateAlarmsComRxSupplyPlus1_5VAlarm(aComRxSupplyPlus1_5VCurrentAlarm, aComRxSupplyPlus1_5VLatchedAlarm,
   aComRxSupplyPlus1_5VAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aComRxSupplyPlus1_5VAlarmMask )
      {
   	   if (aForm.ComRxSupplyPlus1_5VAlarmMask)
   	     aForm.ComRxSupplyPlus1_5VAlarmMask[MASK].checked = true;
      }
	   else if (aForm.ComRxSupplyPlus1_5VAlarmMask)
  	     aForm.ComRxSupplyPlus1_5VAlarmMask[UNMASK].checked = true;
   }
   Update_ComRxSupplyPlus1_5VCurrentAlarm_Led(aComRxSupplyPlus1_5VCurrentAlarm);
   Update_ComRxSupplyPlus1_5VLatchedAlarm_Led(aComRxSupplyPlus1_5VLatchedAlarm);
}

function Update_ComTxSupplyPlus1_5VCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComTxSupplyPlus1_5VCurrentDarkLed', 'ComTxSupplyPlus1_5VCurrentYellowLed');
}

function Update_ComTxSupplyPlus1_5VLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComTxSupplyPlus1_5VLatchedDarkLed', 'ComTxSupplyPlus1_5VLatchedYellowLed');
}

function asyncUpdateAlarmsComTxSupplyPlus1_5VAlarm(aComTxSupplyPlus1_5VCurrentAlarm, aComTxSupplyPlus1_5VLatchedAlarm,
   aComTxSupplyPlus1_5VAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aComTxSupplyPlus1_5VAlarmMask )
      {
   	   if (aForm.ComTxSupplyPlus1_5VAlarmMask)
   	     aForm.ComTxSupplyPlus1_5VAlarmMask[MASK].checked = true;
      }
	   else if (aForm.ComTxSupplyPlus1_5VAlarmMask)
  	     aForm.ComTxSupplyPlus1_5VAlarmMask[UNMASK].checked = true;
   }
   Update_ComTxSupplyPlus1_5VCurrentAlarm_Led(aComTxSupplyPlus1_5VCurrentAlarm);
   Update_ComTxSupplyPlus1_5VLatchedAlarm_Led(aComTxSupplyPlus1_5VLatchedAlarm);
}

function Update_ComSupplyPlus3_3VCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComSupplyPlus3_3VCurrentDarkLed', 'ComSupplyPlus3_3VCurrentYellowLed');
}

function Update_ComSupplyPlus3_3VLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComSupplyPlus3_3VLatchedDarkLed', 'ComSupplyPlus3_3VLatchedYellowLed');
}

function asyncUpdateAlarmsComSupplyPlus3_3VAlarm(aComSupplyPlus3_3VCurrentAlarm, aComSupplyPlus3_3VLatchedAlarm,
   aComSupplyPlus3_3VAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aComSupplyPlus3_3VAlarmMask )
      {
   	   if (aForm.ComSupplyPlus3_3VAlarmMask)
   	     aForm.ComSupplyPlus3_3VAlarmMask[MASK].checked = true;
      }
	   else if (aForm.ComSupplyPlus3_3VAlarmMask)
  	     aForm.ComSupplyPlus3_3VAlarmMask[UNMASK].checked = true;
   }
   Update_ComSupplyPlus3_3VCurrentAlarm_Led(aComSupplyPlus3_3VCurrentAlarm);
   Update_ComSupplyPlus3_3VLatchedAlarm_Led(aComSupplyPlus3_3VLatchedAlarm);
}

function Update_ComSupplyPlus5_0VCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComSupplyPlus5_0VCurrentDarkLed', 'ComSupplyPlus5_0VCurrentYellowLed');
}

function Update_ComSupplyPlus5_0VLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComSupplyPlus5_0VLatchedDarkLed', 'ComSupplyPlus5_0VLatchedYellowLed');
}

function asyncUpdateAlarmsComSupplyPlus5_0VAlarm(aComSupplyPlus5_0VCurrentAlarm, aComSupplyPlus5_0VLatchedAlarm,
   aComSupplyPlus5_0VAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aComSupplyPlus5_0VAlarmMask )
      {
   	   if (aForm.ComSupplyPlus5_0VAlarmMask)
    	     aForm.ComSupplyPlus5_0VAlarmMask[MASK].checked = true;
      }
	   else if (aForm.ComSupplyPlus5_0VAlarmMask)
  	     aForm.ComSupplyPlus5_0VAlarmMask[UNMASK].checked = true;
   }
   Update_ComSupplyPlus5_0VCurrentAlarm_Led(aComSupplyPlus5_0VCurrentAlarm);
   Update_ComSupplyPlus5_0VLatchedAlarm_Led(aComSupplyPlus5_0VLatchedAlarm);
}

function Update_ComSupplyPlus12_0VCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComSupplyPlus12_0VCurrentDarkLed', 'ComSupplyPlus12_0VCurrentYellowLed');
}

function Update_ComSupplyPlus12_0VLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComSupplyPlus12_0VLatchedDarkLed', 'ComSupplyPlus12_0VLatchedYellowLed');
}

function asyncUpdateAlarmsComSupplyPlus12_0VAlarm(aComSupplyPlus12_0VCurrentAlarm, aComSupplyPlus12_0VLatchedAlarm,
   aComSupplyPlus12_0VAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aComSupplyPlus12_0VAlarmMask )
      {
   	   if (aForm.ComSupplyPlus12_0VAlarmMask)
   	     aForm.ComSupplyPlus12_0VAlarmMask[MASK].checked = true;
      }
	   else if (aForm.ComSupplyPlus12_0VAlarmMask)
  	     aForm.ComSupplyPlus12_0VAlarmMask[UNMASK].checked = true;
   }
   Update_ComSupplyPlus12_0VCurrentAlarm_Led(aComSupplyPlus12_0VCurrentAlarm);
   Update_ComSupplyPlus12_0VLatchedAlarm_Led(aComSupplyPlus12_0VLatchedAlarm);
}

function Update_ComSupplyMinus12_0VCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComSupplyMinus12_0VCurrentDarkLed', 'ComSupplyMinus12_0VCurrentYellowLed');
}

function Update_ComSupplyMinus12_0VLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComSupplyMinus12_0VLatchedDarkLed', 'ComSupplyMinus12_0VLatchedYellowLed');
}

function asyncUpdateAlarmsComSupplyMinus12_0VAlarm(aComSupplyMinus12_0VCurrentAlarm, aComSupplyMinus12_0VLatchedAlarm,
   aComSupplyMinus12_0VAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
   	if ( aComSupplyMinus12_0VAlarmMask )
      {
   	   if (aForm.ComSupplyMinus12_0VAlarmMask)
   	     aForm.ComSupplyMinus12_0VAlarmMask[MASK].checked = true;
      }
	   else if (aForm.ComSupplyMinus12_0VAlarmMask)
  	     aForm.ComSupplyMinus12_0VAlarmMask[UNMASK].checked = true;
   }
   Update_ComSupplyMinus12_0VCurrentAlarm_Led(aComSupplyMinus12_0VCurrentAlarm);
   Update_ComSupplyMinus12_0VLatchedAlarm_Led(aComSupplyMinus12_0VLatchedAlarm);
}

function Update_ComSupplyPlus20_0VCurrentAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComSupplyPlus20_0VCurrentDarkLed', 'ComSupplyPlus20_0VCurrentYellowLed');
}

function Update_ComSupplyPlus20_0VLatchedAlarm_Led(isLedOn)
{
   Update_Alarm_Leds_Status(isLedOn, 'ComSupplyPlus20_0VLatchedDarkLed', 'ComSupplyPlus20_0VLatchedYellowLed');
}

function asyncUpdateAlarmsComSupplyPlus20_0VAlarm(aComSupplyPlus20_0VCurrentAlarm, aComSupplyPlus20_0VLatchedAlarm,
   aComSupplyPlus20_0VAlarmMask )
{
   var aForm = Get_Iframe_Element( 'alarmForm' ) ;
   if ( aForm )
   {
	   if ( aComSupplyPlus20_0VAlarmMask )
      {
   	   if (aForm.ComSupplyPlus20_0VAlarmMask)
      	   aForm.ComSupplyPlus20_0VAlarmMask[MASK].checked = true;
      }
	   else if (aForm.ComSupplyPlus20_0VAlarmMask)
  	     aForm.ComSupplyPlus20_0VAlarmMask[UNMASK].checked = true;
   }
   Update_ComSupplyPlus20_0VCurrentAlarm_Led(aComSupplyPlus20_0VCurrentAlarm);
   Update_ComSupplyPlus20_0VLatchedAlarm_Led(aComSupplyPlus20_0VLatchedAlarm);
}

