// ****************************************************************** 
function client_SetRxNetworkSpecification()
{
   var anElement = Get_Iframe_Element( 'RxNetworkSpecificationSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx Network Specification"))
      {
         serverRcvIfIntf.SetRxNetworkSpecification(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxStrapCode(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'RxStrapCodeInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Rx Strap Code"))
            {
               serverRcvIfIntf.SetRxStrapCode(parseInt(anElement.value, 10));
               Focus_Iframe();
            }
         }
      }
   }
};

function client_SetRxFrequency(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'RxFrequencyInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Rx Frequency"))
            {
               var aFrequency = parseInt((parseFloat(anElement.value)) * 1000000);
               serverRcvIfIntf.SetRxFrequency(aFrequency);
               anElement.value = FormatNumber((aFrequency / 1000000), 6);;
               Focus_Iframe();
            }
         }                        
      }
   }
};

function client_SetRxDownlinkFrequency(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'RxDownlinkFrequencyInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Rx Downlink Frequency"))
            {
               var aFrequency = parseInt((parseFloat(anElement.value)) * 1000000);
               anElement.value = FormatNumber((aFrequency / 1000000), 6);
               aFrequency += 0.000001;
               serverRcvIfIntf.SetRxDownlinkFrequency(aFrequency);
               Focus_Iframe();
            }
         }
      }
   }
};

function client_SetRxSweepRange(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'RxSweepRangeInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Rx Sweep Range"))
            {
               serverRcvIfIntf.SetRxSweepRange(parseInt(anElement.value, 10));
               Focus_Iframe();
            }
         }
      }
   }
};

function client_SetRxSweepDelay(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'RxSweepDelayInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Rx Sweep Delay"))
            {
               var aDelay = parseFloat(anElement.value);
               anElement.value = FormatNumber(aDelay, 1);
               aDelay += 0.000001;
               serverRcvIfIntf.SetRxSweepDelay(aDelay);
               Focus_Iframe();
            }
         }
      }
   }
};

function client_SetRxReacquisitionRange(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'RxReacquisitionRangeInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Rx Reacquisition Range"))
            {
               serverRcvIfIntf.SetRxReacquisitionRange(parseInt(anElement.value, 10));
               Focus_Iframe();
            }
         }
      }
   }
};

function client_SetRxDemodulation()
{
   var anElement = Get_Iframe_Element( 'RxDemodulationSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx Demodulation"))
      {
         serverRcvIfIntf.SetRxDemodulation(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxSpectrum()
{
   var anElement = Get_Iframe_Element( 'RxSpectrumSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx Spectrum"))
      {
         serverRcvIfIntf.SetRxSpectrum(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxSpectralMask()
{
   var anElement = Get_Iframe_Element( 'RxSpectralMaskSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx Spectral Mask"))
      {
         serverRcvIfIntf.SetRxSpectralMask(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxAdjCarrierPower()
{
   var anElement = Get_Iframe_Element( 'RxAdjCarrierPowerSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx Adjacent Carrier Power"))
      {
         serverRcvIfIntf.SetRxAdjCarrierPower(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxFastAcquisition()
{
   var anElement = Get_Iframe_Element( 'RxFastAcquisitionSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Rx Fast Acquisition"))
      {
         serverRcvIfIntf.SetRxFastAcquisition(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRxCarrierInputLevelLimit(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'RxCarrierInputLevelLimitInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Rx Carrier Input Level Limit"))
            {
               serverRcvIfIntf.SetRxCarrierInputLevelLimit(parseInt(anElement.value, 10));
               Focus_Iframe();
            }
         }
      }
   }
};

function client_SetRxEbnoAlarmThreshold(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'RxEbnoAlarmThresholdInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Rx EbNo Alarm Threshold"))
            {
               var aThreshold = parseFloat(anElement.value);
               anElement.value = FormatNumber(aThreshold, 1);
               aThreshold += 0.000001;
               serverRcvIfIntf.SetRxEbnoAlarmThreshold(aThreshold);
               Focus_Iframe();
            }
         }
      }
   }
};

function client_SetRxIfStatusUpdate()
{
   serverRcvIfIntf.SetRxIfSelectContentUpdate();
   serverRcvIfIntf.SetRxIfStatusUpdate();
};

// ****************************************************************** 
function asyncUpdateRcvNetworkSpecificationStatus(aNetworkSpecification)
{
   var anElement = Get_Iframe_Element( 'RxNetworkSpecificationSelect' ) ;
   if ( anElement )	      // Set receive Network Specification
      anElement.value = aNetworkSpecification;
}

function asyncUpdateRcvStrapCodeStatus(aStrapCode)
{
   var anElement = Get_Iframe_Element( 'RxStrapCodeInput' ) ;
   if ( anElement )	       // Set receive Strap Code
      anElement.value = aStrapCode;
}

function asyncUpdateRcvFrequencyStatus(aFrequency)
{
   var anElement = Get_Iframe_Element( 'RxFrequencyInput' ) ;
   if ( anElement )	       // Set receive frequency
      anElement.value = FormatNumber((aFrequency / 1000000), 6);;
}

function asyncUpdateRcvDownlinkFrequencyStatus(aDownlinkFrequency)
{
   var anElement = Get_Iframe_Element( 'RxDownlinkFrequencyInput' ) ;
   if ( anElement )	             // Set receive downlink frequency
      anElement.value = FormatNumber((aDownlinkFrequency / 1000000), 6);;
}

function asyncUpdateRcvSweepRangeStatus(aSweepRange)
{
   var anElement = Get_Iframe_Element( 'RxSweepRangeInput' ) ;
   if ( anElement )	            // Set receive sweep range
      anElement.value = aSweepRange;
}

function asyncUpdateRcvSweepDelayStatus(aSweepDelay)
{
   var anElement = Get_Iframe_Element( 'RxSweepDelayInput' ) ;
   if ( anElement )	             // Set receive sweep delay
      anElement.value = FormatNumber(aSweepDelay, 1);;
}

function asyncUpdateRcvReacquisitionRangeStatus(aReacquisitionRange)
{
   var anElement = Get_Iframe_Element( 'RxReacquisitionRangeInput' ) ;
   if ( anElement )	           // Set receive reacquisition range
      anElement.value = aReacquisitionRange;
}

function asyncUpdateRcvSpectrumStatus(aSpectrum)
{
   var anElement = Get_Iframe_Element( 'RxSpectrumSelect' ) ;
   if ( anElement )	               // Set receive spectrum
      anElement.value = aSpectrum;
}

function asyncUpdateRcvSpectralMaskStatus(aSpectralMask)
{
   var anElement = Get_Iframe_Element( 'RxSpectralMaskSelect' ) ;
   if ( anElement )	               // Set receive Spectral Mask
      anElement.value = aSpectralMask;
}

function asyncUpdateRcvDemodulationStatus(aDemodulation)
{
   var anElement = Get_Iframe_Element( 'RxDemodulationSelect' ) ;
   if ( anElement )	                    // Set receive demodulation
      anElement.value = aDemodulation;
}

function asyncUpdateRcvAdjCarrierPowerStatus(anAdjCarrierPower)
{
   var anElement = Get_Iframe_Element( 'RxAdjCarrierPowerSelect' ) ;
   if ( anElement )	                        // Set receive Adj Carrier Power
      anElement.value = anAdjCarrierPower;
}

function asyncUpdateRcvFastAcquisitionStatus(aFastAcquisition)
{
   var anElement = Get_Iframe_Element( 'RxFastAcquisitionSelect' ) ;
   if ( anElement )	                        // Set receive Fast Acquisition
      anElement.value = aFastAcquisition;
}

function asyncUpdateRcvCarrierInputLevelLimitStatus(aCarrierInputLevelLimit)
{
   var anElement = Get_Iframe_Element( 'RxCarrierInputLevelLimitInput' ) ;
   if ( anElement )	           // Set receive Carrier Input Level Limit
      anElement.value = aCarrierInputLevelLimit;
}

function asyncUpdateRcvEbnoAlarmThresholdStatus(anEbnoAlarmThreshold)
{
   var anElement = Get_Iframe_Element( 'RxEbnoAlarmThresholdInput' ) ;
   if ( anElement )	           // Set receive EbNo Alarm Threshold
      anElement.value = FormatNumber(anEbnoAlarmThreshold, 1);
}

// ****************************************************************** 
function asyncUpdateRcvNetworkSpecificationSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxNetworkSpecificationSelect', aSelectContent );
}
function asyncUpdateRcvSpectrumSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxSpectrumSelect', aSelectContent );
}

function asyncUpdateRcvSpectralMaskSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxSpectralMaskSelect', aSelectContent );
}

function asyncUpdateRcvDemodulationSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxDemodulationSelect', aSelectContent );
}

function asyncUpdateRcvAdjCarrierPowerSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxAdjCarrierPowerSelect', aSelectContent );
}

function asyncUpdateRcvFastAcquisitionSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RxFastAcquisitionSelect', aSelectContent );
}
