// ****************************************************************** 
function client_SetTxNetworkSpecification()
{
   var anElement = Get_Iframe_Element( 'TxNetworkSpecificationSelect' ) ;
   if ( anElement )
   {
      if (IsBandwidthChangeConfirmed("Tx Network Specification"))
      {
         serverXmitIfIntf.SetTxNetworkSpecification(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxStrapCode(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxStrapCodeInput' ) ;
      if ( anElement )
	   {
         if (IsNumber(anElement))
         {
            if (IsBandwidthChangeConfirmed("Tx Strap Code"))
            {
               serverXmitIfIntf.SetTxStrapCode(parseInt(anElement.value, 10));
               Focus_Iframe();
            }
         }
	   }
   }
};

function client_SetTxFrequency(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxFrequencyInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsBandwidthChangeConfirmed("Tx Frequency"))
            {
               var aFrequency = parseInt((parseFloat(anElement.value)) * 1000000);
               serverXmitIfIntf.SetTxFrequency(aFrequency);
               anElement.value = FormatNumber((aFrequency / 1000000), 6);;
               Focus_Iframe();
            }
         }
      }                           
   }
};

function client_SetTxUplinkFrequency(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxUplinkFrequencyInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsBandwidthChangeConfirmed("Tx Uplink Frequency"))
            {
               var aFrequency = parseInt((parseFloat(anElement.value)) * 1000000);
               anElement.value = FormatNumber((aFrequency / 1000000), 6);
		   	   aFrequency += 0.000001;
               serverXmitIfIntf.SetTxUplinkFrequency(aFrequency);
               Focus_Iframe();
            }
         }
      }
   }
};

function client_SetTxPower(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxPowerInput' ) ;
      if ( anElement )
	   {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Tx Power"))
            {
               var aPower = parseFloat(anElement.value);
               anElement.value = FormatNumber(aPower, 1);
               aPower += 0.001;
               serverXmitIfIntf.SetTxPower(aPower);
               Focus_Iframe();
            }
         }
      }
   }
};

function client_SetTxPowerCompensation(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxPowerCompensationInput' ) ;
      if ( anElement )
	   {
		   if (IsNumber(anElement))
		   {
            if (IsChangeConfirmed("Tx Power Compensation"))
            {
               var aCompensation = parseFloat(anElement.value);
               anElement.value = FormatNumber(aCompensation, 1);
               aCompensation += 0.001;
               serverXmitIfIntf.SetTxPowerCompensation(aCompensation);
               Focus_Iframe();
            }
		   }
	   }
   }
};

function client_SetTxCarrierControl()
{
   var anElement = Get_Iframe_Element( 'TxCarrierControlSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Carrier Control"))
      {
         serverXmitIfIntf.SetTxCarrierControl(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxSpectrum()
{
   var anElement = Get_Iframe_Element( 'TxSpectrumSelect' ) ;
   if ( anElement )
   {   
      if (IsChangeConfirmed("Tx Spectrum"))
      {
         serverXmitIfIntf.SetTxSpectrum(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxModulation()
{
   var anElement = Get_Iframe_Element( 'TxModulationSelect' ) ;
   if ( anElement )
   {
      if (IsBandwidthChangeConfirmed("Tx Modulation"))
      {
         serverXmitIfIntf.SetTxModulation(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxSpectralMask()
{
   var anElement = Get_Iframe_Element( 'TxSpectralMaskSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Spectral Mask"))
      {
         serverXmitIfIntf.SetTxSpectralMask(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

// ****************************************************************** 
function client_SetTxIfStatusUpdate()
{
   serverXmitIfIntf.SetTxIfSelectContentUpdate();
   serverXmitIfIntf.SetTxIfStatusUpdate();
};

// ****************************************************************** 
function asyncUpdateXmitNetworkSpecificationSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxNetworkSpecificationSelect', aSelectContent );
}

function asyncUpdateXmitNetworkSpecificationStatus(aNetworkSpecification)
{
   var anElement = Get_Iframe_Element( 'TxNetworkSpecificationSelect' ) ;
   if ( anElement )		      // Set transmit Network Specification
      anElement.value = aNetworkSpecification;
}

function asyncUpdateXmitStrapCodeStatus(aStrapCode)
{
   var anElement = Get_Iframe_Element( 'TxStrapCodeInput' ) ;
   if ( anElement )		           // Set transmit Strap Code
      anElement.value = aStrapCode;
}

function asyncUpdateXmitFrequencyStatus(aFrequency)
{
   var anElement = Get_Iframe_Element( 'TxFrequencyInput' ) ;
   if ( anElement )	      // Set transmit frequency
      anElement.value = FormatNumber((aFrequency / 1000000), 6);;
}

function asyncUpdateXmitUplinkFrequencyStatus(anUplinkFrequency)
{
   var anElement = Get_Iframe_Element( 'TxUplinkFrequencyInput' ) ;
   if ( anElement )	        // Set transmit uplink frequency
      anElement.value = FormatNumber((anUplinkFrequency / 1000000), 6);;
}

function asyncUpdateXmitPowerStatus(aPower)
{
   var anElement = Get_Iframe_Element( 'TxPowerInput' ) ;
   if ( anElement )	
      anElement.value = FormatNumber(aPower, 1);
}

function asyncUpdateXmitPowerCompensationStatus(aPowerCompensation)
{
   var anElement = Get_Iframe_Element( 'TxPowerCompensationInput' ) ;
   if ( anElement )	
      anElement.value = FormatNumber(aPowerCompensation, 1);
}

function asyncUpdateXmitCarrierStatus(aCarrier)
{
   var anElement = Get_Iframe_Element( 'TxCarrierControlSelect' ) ;
   if ( anElement )	        // Set transmit carrier control
      anElement.value = aCarrier;
}

function asyncUpdateXmitSpectrumStatus(aSpectrum)
{
   var anElement = Get_Iframe_Element( 'TxSpectrumSelect' ) ;
   if ( anElement )	              // Set transmit spectrum
      anElement.value = aSpectrum;
}

function asyncUpdateXmitModulationStatus(aModulation)
{
   var anElement = Get_Iframe_Element( 'TxModulationSelect' ) ;
   if ( anElement )	             // Set transmit modulation
      anElement.value = aModulation;
}

function asyncUpdateXmitSpectralMaskStatus(aSpectralMask)
{
   var anElement = Get_Iframe_Element( 'TxSpectralMaskSelect' ) ;
   if ( anElement )	                   // Set transmit spectral mask
      anElement.value = aSpectralMask;
}

// ****************************************************************** 
function asyncUpdateXmitCarrierSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxCarrierControlSelect', aSelectContent );
}

function asyncUpdateXmitSpectrumSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxSpectrumSelect', aSelectContent );
}

function asyncUpdateXmitModulationSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxModulationSelect', aSelectContent );
}

function asyncUpdateXmitSpectralMaskSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxSpectralMaskSelect', aSelectContent );
}
